For the complete documentation index, see llms.txt. This page is also available as Markdown.

Page Group

Add a new page group

post

This is for adding a new page group.

Header parameters
AuthorizationstringRequired
Body
statusinteger · int32Required
pageGroupNamestringRequired
Responses
200

success response

application/json
groupNamestringOptional
isActiveintegerOptional
createdDatestring · date-timeOptional
groupIdintegerOptional
post/page-group
POST /page-group HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 35

"status=1&pageGroupName='text'"
{
  "groupName": "text",
  "isActive": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "groupId": 1
}

List of page groups

get

This is for getting the list of added page groups.

Query parameters
limitintegerRequired
offsetintegerOptional
statusintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the group list.
get/page-group
GET /page-group?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the group list."
}

Getting page group count

get

This is for Getting the list of page group count

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the page group count
get/page-group/pagegroup-count
GET /page-group/pagegroup-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the page group count"
}

Update page group

put

This is for updating an already added page groups.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
statusinteger · int32Required
pageGroupNamestringRequired
Responses
200

success response

application/json
createdByintegerOptional
createdDatestring · date-timeOptional
modifiedByintegerOptional
modifiedDatestring · date-timeOptional
groupIdintegerOptional
groupNamestringOptional
isActiveintegerOptional
put/page-group/{id}
PUT /page-group/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 35

"status=1&pageGroupName='text'"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "groupId": 1,
  "groupName": "text",
  "isActive": 1
}

Delete a page group

delete

This is for deleting an already added page group, if not needed anymore.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfullly deleted the group.
delete/page-group/{id}
DELETE /page-group/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfullly deleted the group."
}

Getting page group

get

This is for Getting a list of page group.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Got page group
get/page-group/get-page-group/{id}
GET /page-group/get-page-group/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Got page group"
}

Last updated